Package gov.nasa.gsfc.sscweb.schema

# Class TimeInterval

java.lang.Object
gov.nasa.gsfc.sscweb.schema.TimeInterval

public class TimeInterval extends Object
Time interval. <p>Java class for TimeInterval complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="TimeInterval"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Start" type="{http://www.w3.org/2001/XMLSchema}dateTime"/> <element name="End" type="{http://www.w3.org/2001/XMLSchema}dateTime"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLGregorianCalendar`
  `end`
  Ending time of interval.
  `protected XMLGregorianCalendar`
  `start`
  Begining time of interval.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeInterval()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLGregorianCalendar`
  `getEnd()`
  Ending time of interval.
  `XMLGregorianCalendar`
  `getStart()`
  Begining time of interval.
  `void`
  `setEnd(XMLGregorianCalendar value)`
  Sets the value of the end property.
  `void`
  `setStart(XMLGregorianCalendar value)`
  Sets the value of the start property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### start

    protected XMLGregorianCalendar start
    Begining time of interval.

  - ### end

    protected XMLGregorianCalendar end
    Ending time of interval.

- ## Constructor Details

  - ### TimeInterval

    public TimeInterval()

- ## Method Details

  - ### getStart

    public XMLGregorianCalendar getStart()
    Begining time of interval.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setStart

    public void setStart(XMLGregorianCalendar value)
    Sets the value of the start property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`
    See Also:
      - `getStart()`

  - ### getEnd

    public XMLGregorianCalendar getEnd()
    Ending time of interval.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setEnd

    public void setEnd(XMLGregorianCalendar value)
    Sets the value of the end property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`
    See Also:
      - `getEnd()`